### Encoding: latin1

### Name: locquadvar
### Title: Estimation of the multifractional function of the
###   multifractalional Brownian field by the localized quadratic
###   variations method
### Aliases: locquadvar


### ** Examples

# load FieldSim library
library(FieldSim)

#Field simulation
F<-function(y){0.4*y+0.5}

R<-function(x,Fun=F){
H1<-Fun(x[1])
H2<-Fun(x[3])
alpha<-1/2*(H1+H2)
C2D(alpha)^2/(2*C2D(H1)*C2D(H2))*((x[1]^2+x[2]^2)^(alpha)+(x[3]^2+x[4]^2)^(alpha)-((x[1]-x[3])^2+(x[2]-x[4])^2)^(alpha))
}
res <- fieldsim(R,Elevel=1,Rlevel=5,nbNeighbor=4)

# Estimation
locquadvar(Z=res$Z,t=c(0.5,0.5),h=0.125)



